### Method

# Ide Symbol to_variant

#### Declaration

    GVariant*
    ide_symbol_to_variant (
      IdeSymbol* self
    )

#### Description

This converts the symbol to a `GVariant` that is suitable for passing across an IPC boundary.

This function will never return a floating reference.

Available since: | 3.32

#### Return value

Returns: | `GVariant`
| A `GVariant`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.